org.apache.commons.lang3.exception

## Class CloneFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.lang3.exception.CloneFailedException

- All Implemented Interfaces:
    Serializable

      public class CloneFailedException
      extends RuntimeException

  Exception thrown when a clone cannot be created. In contrast to `CloneNotSupportedException` this is a `RuntimeException`.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloneFailedException(String message)` Constructs a CloneFailedException.
    `CloneFailedException(String message, Throwable cause)` Constructs a CloneFailedException.
    `CloneFailedException(Throwable cause)` Constructs a CloneFailedException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CloneFailedException

          public CloneFailedException(String message)

      Constructs a CloneFailedException.
      Parameters:
        `message` - description of the exception

    - #### CloneFailedException

          public CloneFailedException(Throwable cause)

      Constructs a CloneFailedException.
      Parameters:
        `cause` - cause of the exception

    - #### CloneFailedException

          public CloneFailedException(String message,
                                      Throwable cause)

      Constructs a CloneFailedException.
      Parameters:
        `message` - description of the exception
        `cause` - cause of the exception

Copyright © 2001–2023 The Apache Software Foundation. All rights reserved.